<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WordPress editor or any Page Builder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

// Get template page's content
$podium_content = '';
$podium_blog_archive_mask = '%%CONTENT%%';
$podium_blog_archive_subst = sprintf('<div class="blog_archive">%s</div>', $podium_blog_archive_mask);
if ( have_posts() ) {
	the_post();
	if (($podium_content = apply_filters('the_content', get_the_content())) != '') {
		if (($podium_pos = strpos($podium_content, $podium_blog_archive_mask)) !== false) {
			$podium_content = preg_replace('/(\<p\>\s*)?'.$podium_blog_archive_mask.'(\s*\<\/p\>)/i', $podium_blog_archive_subst, $podium_content);
		} else
			$podium_content .= $podium_blog_archive_subst;
		$podium_content = explode($podium_blog_archive_mask, $podium_content);
		// Add VC custom styles to the inline CSS
		$vc_custom_css = get_post_meta( get_the_ID(), '_wpb_shortcodes_custom_css', true );
		if ( !empty( $vc_custom_css ) ) podium_add_inline_css(strip_tags($vc_custom_css));
	}
}

// Prepare args for a new query
$podium_args = array(
	'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
);
$podium_args = podium_query_add_posts_and_cats($podium_args, '', podium_get_theme_option('post_type'), podium_get_theme_option('parent_cat'));
$podium_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
if ($podium_page_number > 1) {
	$podium_args['paged'] = $podium_page_number;
	$podium_args['ignore_sticky_posts'] = true;
}
$podium_ppp = podium_get_theme_option('posts_per_page');
if ((int) $podium_ppp != 0)
	$podium_args['posts_per_page'] = (int) $podium_ppp;
// Make a new main query
$GLOBALS['wp_the_query']->query($podium_args);


// Add internal query vars in the new query!
if (is_array($podium_content) && count($podium_content) == 2) {
	set_query_var('blog_archive_start', $podium_content[0]);
	set_query_var('blog_archive_end', $podium_content[1]);
}

get_template_part('index');
?>