<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */

$podium_blog_style = explode('_', podium_get_theme_option('blog_style'));
$podium_columns = empty($podium_blog_style[1]) ? 2 : max(2, $podium_blog_style[1]);
$podium_post_format = get_post_format();
$podium_post_format = empty($podium_post_format) ? 'standard' : str_replace('post-format-', '', $podium_post_format);
$podium_animation = podium_get_theme_option('blog_animation');
$podium_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($podium_columns).' post_format_'.esc_attr($podium_post_format) ); ?>
	<?php echo (!podium_is_off($podium_animation) ? ' data-animation="'.esc_attr(podium_get_animation_classes($podium_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($podium_image[1]) && !empty($podium_image[2])) echo intval($podium_image[1]) .'x' . intval($podium_image[2]); ?>"
	data-src="<?php if (!empty($podium_image[0])) echo esc_url($podium_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$podium_image_hover = 'icon';
	if (in_array($podium_image_hover, array('icons', 'zoom'))) $podium_image_hover = 'dots';
	$podium_components = podium_array_get_keys_by_value(podium_get_theme_option('meta_parts'));
	$podium_counters = podium_array_get_keys_by_value(podium_get_theme_option('counters'));
	podium_show_post_featured(array(
		'hover' => $podium_image_hover,
		'thumb_size' => podium_get_thumb_size( strpos(podium_get_theme_option('body_style'), 'full')!==false || $podium_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($podium_components)
										? podium_show_post_meta(apply_filters('podium_filter_post_meta_args', array(
											'components' => $podium_components,
											'counters' => $podium_counters,
											'seo' => false,
											'echo' => false
											), $podium_blog_style[0], $podium_columns))
										: '')
								. '<div class="post_description_content">'
									. get_the_excerpt()
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'podium') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>