<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */

$podium_blog_style = explode('_', podium_get_theme_option('blog_style'));
$podium_columns = empty($podium_blog_style[1]) ? 2 : max(2, $podium_blog_style[1]);
$podium_post_format = get_post_format();
$podium_post_format = empty($podium_post_format) ? 'standard' : str_replace('post-format-', '', $podium_post_format);
$podium_animation = podium_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($podium_columns).' post_format_'.esc_attr($podium_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!podium_is_off($podium_animation) ? ' data-animation="'.esc_attr(podium_get_animation_classes($podium_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$podium_image_hover = podium_get_theme_option('image_hover');
	// Featured image
	podium_show_post_featured(array(
		'thumb_size' => podium_get_thumb_size(strpos(podium_get_theme_option('body_style'), 'full')!==false || $podium_columns < 3 
								? 'masonry-big' 
								: 'masonry'),
		'show_no_image' => true,
		'class' => $podium_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $podium_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>