<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */

$podium_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$podium_post_format = get_post_format();
$podium_post_format = empty($podium_post_format) ? 'standard' : str_replace('post-format-', '', $podium_post_format);
$podium_animation = podium_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($podium_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($podium_post_format) ); ?>
	<?php echo (!podium_is_off($podium_animation) ? ' data-animation="'.esc_attr(podium_get_animation_classes($podium_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	podium_show_post_featured(array(
		'thumb_size' => podium_get_thumb_size($podium_columns==1 ? 'big' : ($podium_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($podium_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			podium_show_post_meta(apply_filters('podium_filter_post_meta_args', array(), 'sticky', $podium_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>