<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js scheme_<?php
										 // Class scheme_xxx need in the <html> as context for the <body>!
										 echo esc_attr(podium_get_theme_option('color_scheme'));
										 ?>">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>
    <?php wp_body_open(); ?>

	<?php do_action( 'podium_action_before_body' ); ?>

	<div class="body_wrap">
        <?php
        if ((podium_get_theme_option('show_socials_side') != 0) && ($podium_output = podium_get_socials_links('', 'names')) != '' ) {
            ?><div class="side_socials"><?php
            podium_show_layout($podium_output);
            ?></div><?php
        }
        if ((podium_get_theme_option('show_link_side') != '') && (podium_get_theme_option('show_link_address') != '')) {
            ?><div class="side_link"><?php
            echo '<a href="' . esc_attr(podium_get_theme_option('show_link_address')) . '">' . esc_attr(podium_get_theme_option('show_link_side')) .'</a>';
            ?></div><?php
        }
        ?><div class="page_wrap"><?php
			// Desktop header
			$podium_header_type = podium_get_theme_option("header_type");
			if ($podium_header_type == 'custom' && !podium_is_layouts_available())
				$podium_header_type = 'default';
			get_template_part( "templates/header-{$podium_header_type}");

			// Side menu
			if (in_array(podium_get_theme_option('menu_style'), array('left', 'right'))) {
				get_template_part( 'templates/header-navi-side' );
			}
			
			// Mobile menu
			get_template_part( 'templates/header-navi-mobile');
			?>

			<div class="page_content_wrap">

				<?php if (podium_get_theme_option('body_style') != 'fullscreen') { ?>
				<div class="content_wrap">
				<?php } ?>

					<?php
					// Widgets area above page content
					podium_create_widgets_area('widgets_above_page');
					?>				

					<div class="content">
						<?php
						// Widgets area inside page content
						podium_create_widgets_area('widgets_above_content');
						?>				
