<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('podium_cf7_theme_setup9')) {
	add_action( 'after_setup_theme', 'podium_cf7_theme_setup9', 9 );
	function podium_cf7_theme_setup9() {
		
		add_filter( 'podium_filter_merge_scripts',	'podium_cf7_merge_scripts');
		add_filter( 'podium_filter_merge_styles',	'podium_cf7_merge_styles' );

		if (podium_exists_cf7()) {
			add_filter('wpcf7_autop_or_not', '__return_false');
			add_action( 'wp_enqueue_scripts',		'podium_cf7_frontend_scripts', 1100 );
		}

		if (is_admin()) {
			add_filter( 'podium_filter_tgmpa_required_plugins',	'podium_cf7_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'podium_cf7_tgmpa_required_plugins' ) ) {
	
	function podium_cf7_tgmpa_required_plugins($list=array()) {
		if (podium_storage_isset('required_plugins', 'contact-form-7')) {
			// CF7 plugin
			$list[] = array(
					'name' 		=> podium_storage_get_array('required_plugins', 'contact-form-7'),
					'slug' 		=> 'contact-form-7',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if cf7 installed and activated
if ( !function_exists( 'podium_exists_cf7' ) ) {
	function podium_exists_cf7() {
		return class_exists('WPCF7');
	}
}

// Enqueue custom scripts
if ( !function_exists( 'podium_cf7_frontend_scripts' ) ) {
	
	function podium_cf7_frontend_scripts() {
		if (podium_exists_cf7()) {
			if (podium_is_on(podium_get_theme_option('debug_mode')) && podium_get_file_dir('plugins/contact-form-7/contact-form-7.js')!='')
				wp_enqueue_script( 'podium-cf7', podium_get_file_url('plugins/contact-form-7/contact-form-7.js'), array('jquery'), null, true );
		}
	}
}
	
// Merge custom scripts
if ( !function_exists( 'podium_cf7_merge_scripts' ) ) {
	
	function podium_cf7_merge_scripts($list) {
		if (podium_exists_cf7()) {
			$list[] = 'plugins/contact-form-7/contact-form-7.js';
		}
		return $list;
	}
}

// Merge custom styles
if ( !function_exists( 'podium_cf7_merge_styles' ) ) {
	
	function podium_cf7_merge_styles($list) {
		if (podium_exists_cf7()) {
			$list[] = 'plugins/contact-form-7/_contact-form-7.scss';
		}
		return $list;
	}
}
?>