<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('podium_elegro_payment_theme_setup9')) {
    add_action( 'after_setup_theme', 'podium_elegro_payment_theme_setup9', 9 );
    function podium_elegro_payment_theme_setup9() {
        if (is_admin()) {
            add_filter( 'podium_filter_tgmpa_required_plugins',	'podium_elegro_payment_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'podium_elegro_payment_tgmpa_required_plugins' ) ) {

    function podium_elegro_payment_tgmpa_required_plugins( $list = array() ) {
        if ( podium_storage_isset('required_plugins', 'elegro-payment') ) {
            // Elegro plugin
            $list[] = array(
                'name' 		=> podium_storage_get_array('required_plugins', 'elegro-payment'),
                'slug'     => 'elegro-payment',
                'required' => false,
            );
        }
        return $list;
    }
}

// Check if cf7 installed and activated
if ( !function_exists( 'podium_exists_elegro_payment' ) ) {
    function podium_exists_elegro_payment() {
        return class_exists('WC_Elegro_Payment');
    }
}