<?php
/* Essential Grid support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('podium_essential_grid_theme_setup9')) {
	add_action( 'after_setup_theme', 'podium_essential_grid_theme_setup9', 9 );
	function podium_essential_grid_theme_setup9() {
		
		add_filter( 'podium_filter_merge_styles',						'podium_essential_grid_merge_styles' );

		if (is_admin()) {
			add_filter( 'podium_filter_tgmpa_required_plugins',		'podium_essential_grid_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'podium_essential_grid_tgmpa_required_plugins' ) ) {
	
	function podium_essential_grid_tgmpa_required_plugins($list=array()) {
		if (podium_storage_isset('required_plugins', 'essential-grid')) {
			$path = podium_get_file_dir('plugins/essential-grid/essential-grid.zip');
			if (!empty($path) || podium_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
						'name' 		=> podium_storage_get_array('required_plugins', 'essential-grid'),
						'slug' 		=> 'essential-grid',
						'version'   => '3.1.5',
						'source'	=> !empty($path) ? $path : 'upload://essential-grid.zip',
						'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'podium_exists_essential_grid' ) ) {
	function podium_exists_essential_grid() {
        return defined('EG_PLUGIN_PATH') || defined( 'ESG_PLUGIN_PATH' );
	}
}
	
// Merge custom styles
if ( !function_exists( 'podium_essential_grid_merge_styles' ) ) {
	
	function podium_essential_grid_merge_styles($list) {
		if (podium_exists_essential_grid()) {
			$list[] = 'plugins/essential-grid/_essential-grid.scss';
		}
		return $list;
	}
}
?>