<?php
/* The GDPR Framework support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('podium_gdpr_framework_theme_setup9')) {
	add_action( 'after_setup_theme', 'podium_gdpr_framework_theme_setup9', 9 );
	function podium_gdpr_framework_theme_setup9() {
		if (is_admin()) {
			add_filter( 'podium_filter_tgmpa_required_plugins',		'podium_gdpr_framework_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'podium_gdpr_framework_tgmpa_required_plugins' ) ) {
	
	function podium_gdpr_framework_tgmpa_required_plugins($list=array()) {
            if ( false && podium_storage_isset('required_plugins', 'gdpr-framework')) {
			$list[] = array(
				'name'     => esc_html__( 'The GDPR Framework', 'podium' ),
				'slug'     => 'gdpr-framework',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'podium_exists_gdpr_framework' ) ) {
	function podium_exists_gdpr_framework() {
		return defined( 'GDPR_FRAMEWORK_VERSION' );
	}
}