<?php
/* Mail Chimp support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('podium_mailchimp_theme_setup9')) {
	add_action( 'after_setup_theme', 'podium_mailchimp_theme_setup9', 9 );
	function podium_mailchimp_theme_setup9() {

		add_filter( 'podium_filter_merge_styles',						'podium_mailchimp_merge_styles');
		
		if (is_admin()) {
			add_filter( 'podium_filter_tgmpa_required_plugins',		'podium_mailchimp_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'podium_mailchimp_tgmpa_required_plugins' ) ) {
	
	function podium_mailchimp_tgmpa_required_plugins($list=array()) {
		if (podium_storage_isset('required_plugins', 'mailchimp-for-wp')) {
			$list[] = array(
				'name' 		=> podium_storage_get_array('required_plugins', 'mailchimp-for-wp'),
				'slug' 		=> 'mailchimp-for-wp',
				'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'podium_exists_mailchimp' ) ) {
	function podium_exists_mailchimp() {
		return function_exists('__mc4wp_load_plugin') || defined('MC4WP_VERSION');
	}
}



// Custom styles and scripts
//------------------------------------------------------------------------
	
// Merge custom styles
if ( !function_exists( 'podium_mailchimp_merge_styles' ) ) {
	
	function podium_mailchimp_merge_styles($list) {
		if (podium_exists_mailchimp()) {
			$list[] = 'plugins/mailchimp-for-wp/_mailchimp-for-wp.scss';
		}
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (podium_exists_mailchimp()) { require_once PODIUM_THEME_DIR . 'plugins/mailchimp-for-wp/mailchimp-for-wp-styles.php'; }
?>