<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('podium_trx_addons_get_mycss')) {
	add_filter('podium_filter_get_css', 'podium_trx_addons_get_mycss', 10, 4);
	function podium_trx_addons_get_mycss($css, $args) {

        if (isset($css['fonts']) && isset($args['fonts'])) {
            $fonts = $args['fonts'];

            $fonts['logo_font-family!'] = str_replace(';', ' !important;', $fonts['logo_font-family']);
            $fonts['h1_font-family!'] = str_replace(';', ' !important;', $fonts['h1_font-family']);
            $fonts['button_font-family!'] = str_replace(';', ' !important;', $fonts['button_font-family']);
            $css['fonts'] .= <<<CSS
            
            .footer_wrap .widget_title,
            .footer_wrap .widgettitle,
            .trx_addons_dropcap {
                {$fonts['h1_font-family']}
            }


            .esg-filters div.esg-navigationbutton,
            .mejs-controls .mejs-time * {
                {$fonts['p_font-family']}
            }
            
            .post_layout_excerpt.sticky.post_item .label_sticky,
            .sc_action_item_subtitle {
                {$fonts['logo_font-family']}
            }
            
            .body_wrap .page_wrap .rs-layer.SmallWhiteText{
                {$fonts['logo_font-family!']}
            }
            
            .body_wrap .page_wrap .rs-layer.BigWhiteText {
                {$fonts['h1_font-family!']}
             }
            
            .body_wrap .page_wrap .SliderButton {
                {$fonts['button_font-family!']}
            }

CSS;
        }

        if (isset($css['colors']) && isset($args['colors'])) {
            $colors = $args['colors'];
            $css['colors'] .= <<<CSS
            
            /* Inline colors */
            .trx_addons_accent,
            .trx_addons_accent_big,
            .trx_addons_accent > a,
            .trx_addons_accent > * {
                color: {$colors['text_link']};
            }
            .trx_addons_accent_hovered,
            .trx_addons_accent_hovered,
            .trx_addons_accent_hovered > a,
            .trx_addons_accent_hovered > * {
                color: {$colors['text_hover']};
            }
            .trx_addons_accent_bg {
                background-color: {$colors['text_link']};
                color: {$colors['bg_color']};
            }

            
            /* Tooltip */
            .trx_addons_tooltip {
                color: {$colors['text_dark']};
                border-color: {$colors['text_dark']};
            }
            .trx_addons_tooltip:before {
                background-color: {$colors['text_dark']};
                color: {$colors['inverse_link']};
            }
            .trx_addons_tooltip:after {
                border-top-color: {$colors['text_dark']};
            }
            .scheme_dark .trx_addons_tooltip:before {
                background-color: {$colors['text_link']};
                color: {$colors['inverse_link']};
            }
            .scheme_dark .trx_addons_tooltip:after {
                border-top-color: {$colors['text_link']};
            }
            
            
            /* Dropcaps */
            .trx_addons_dropcap_style_1 {
                background-color: {$colors['text_link']};
                color: {$colors['bg_color']};
            }
            .trx_addons_dropcap_style_2 {
                background-color: {$colors['bg_color_0']};
                color: {$colors['text_dark']};
            }
            
            /* Blockqoute */
            blockquote {
                color: {$colors['bg_color']};
                background-color: {$colors['text_link']};
            }
            blockquote cite a,
            blockquote > a, blockquote > p > a,
            blockquote > cite, blockquote > p > cite {
                color: {$colors['bg_color']};
            }
            blockquote > a{
                color: {$colors['text_dark']};
            }
            blockquote cite a:hover,
            blockquote > p > a:hover {
              color: {$colors['extra_hover']};
             }
            blockquote:before {
                color: {$colors['bg_color']};
            }
            
            /* Images */
            figure figcaption,
            .wp-caption .wp-caption-text,
            .wp-caption .wp-caption-dd,
            .wp-caption-overlay .wp-caption .wp-caption-text,
            .wp-caption-overlay .wp-caption .wp-caption-dd {
                color: {$colors['bg_color']};
                background-color: {$colors['text_link']};
            }
            
            /* Lists */
            ul[class*="trx_addons_list"].trx_addons_list_empty li{
                color: {$colors['text_dark']};
            }
            
            /* Table */
            table th {
                color: {$colors['bg_color']};
                background-color: {$colors['text_dark']};
            }
            table th, table th + th, table td + th  {
                border-color: {$colors['bg_color_02']};
            }
            table td, table th + td, table td + td {
                color: {$colors['text']};
                border-color: {$colors['bd_color']};
            }
            table > tbody > tr:nth-child(2n+1) > td {
                background-color: {$colors['bd_color']};
            }
            table > tbody > tr:nth-child(2n) > td {
                background-color: {$colors['alter_bg_color']};
            }
            th a {
                color: {$colors['inverse_link']};
            }

            /* Main menu */
            .sc_layouts_menu_nav>li>a {
                color: {$colors['text']} !important;
            }
            .sc_layouts_menu_nav>li>a:hover,
            .sc_layouts_menu_nav>li.sfHover>a,
            .sc_layouts_menu_nav>li.current-menu-item>a,
            .sc_layouts_menu_nav>li.current-menu-parent>a,
            .sc_layouts_menu_nav>li.current-menu-ancestor>a {
                color: {$colors['text_link']} !important;
            }
            /* Dropdown menu */
            .sc_layouts_menu_nav>li>ul:before,
            .sc_layouts_menu_nav>li ul {
                background-color: {$colors['inverse_hover']};
            }
            .sc_layouts_menu_popup .sc_layouts_menu_nav>li>a,
            .sc_layouts_menu_nav>li li>a {
                color: {$colors['text_light']} !important;
            }
            .sc_layouts_menu_nav>li li>a:hover:after,
            .sc_layouts_menu_popup .sc_layouts_menu_nav>li>a:hover,
            .sc_layouts_menu_popup .sc_layouts_menu_nav>li.sfHover>a,
            .sc_layouts_menu_nav>li li>a:hover,
            .sc_layouts_menu_nav>li li.sfHover>a,
            .sc_layouts_menu_nav>li li.current-menu-item>a,
            .sc_layouts_menu_nav>li li.current-menu-parent>a,
            .sc_layouts_menu_nav>li li.current-menu-ancestor>a {
                color: {$colors['inverse_link']} !important;
                background-color: {$colors['bg_color_0']};
            }
            .sc_layouts_menu_nav > li li > a:before {
                background-color: {$colors['inverse_link']};
            }
            .sc_layouts_menu_mobile_button_burger:not(.without_menu) {
                 background-color: {$colors['text_dark']};
            }
            .sc_layouts_menu_mobile_button_burger:not(.without_menu) a .sc_layouts_item_icon {
                color: {$colors['bg_color']};
            }
            .sc_layouts_menu_mobile_button_burger:not(.without_menu) a:hover .sc_layouts_item_icon {
                color: {$colors['bd_color']};
            }
            .sc_layouts_menu_mobile_button_burger:not(.without_menu) > span {
                color: {$colors['bg_color']};
            }
            .label-close {
                color: {$colors['text_dark']};
            }
            
            
            /* Breadcrumbs */
            .sc_layouts_title_caption {
                color: {$colors['text_dark']};
            }
            .sc_layouts_title_breadcrumbs,
            .sc_layouts_title_breadcrumbs a {
                color: {$colors['text_link']} !important;
            }
            .breadcrumbs_item:before {
                background-color: {$colors['text_link']};
            }
            .breadcrumbs_item.current{
                color: {$colors['text_link']} !important;
            }
            .sc_layouts_title_breadcrumbs a:hover {
                color: {$colors['text_link']} !important;
            }
            
            /* Slider */
            .slider_container .slider_pagination_wrap .swiper-pagination-bullet,
            .slider_outer .slider_pagination_wrap .swiper-pagination-bullet,
            .swiper-pagination-custom .swiper-pagination-button {
                border-color: {$colors['bg_color']};
                background-color: {$colors['alter_bg_hover']};
            }
            .swiper-pagination-custom .swiper-pagination-button.swiper-pagination-button-active,
            .slider_container .slider_pagination_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active,
            .slider_outer .slider_pagination_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active,
            .slider_container .slider_pagination_wrap .swiper-pagination-bullet:hover,
            .slider_outer .slider_pagination_wrap .swiper-pagination-bullet:hover {
                border-color: {$colors['bg_color']};
                background-color: {$colors['text_link']};
            }
            
            .sc_slider_controls .slider_controls_wrap > a,
            .slider_container.slider_controls_side .slider_controls_wrap > a,
            .slider_outer_controls_side .slider_controls_wrap > a {
                color: {$colors['text_link']};
                background-color: {$colors['bg_color']};
                border-color: {$colors['bg_color']};
            }
            .sc_slider_controls .slider_controls_wrap > a:hover,
            .slider_container.slider_controls_side .slider_controls_wrap > a:hover,
            .slider_outer_controls_side .slider_controls_wrap > a:hover {
                color: {$colors['text']};
                background-color: {$colors['bg_color']};
                border-color: {$colors['bg_color']};
            }
            .custom.tparrows.tp-rightarrow:after,
            .slider_next.swiper-button-next:after {
                background-color: {$colors['bd_color']};
            }
            
            
            /* Layouts */
            .sc_layouts_logo .logo_text {
                color: {$colors['text_dark']};
            }
            

            /* Shortcodes */
            .sc_skills_pie.sc_skills_compact_off .sc_skills_total {
                color: {$colors['text_dark']};
            }
            .sc_skills_pie.sc_skills_compact_off .sc_skills_item_title {
                color: {$colors['text_dark']};
            }
            .sc_countdown .sc_countdown_label{
                color: {$colors['text_dark']};
                background: {$colors['bg_color_0']};
            }
            .sc_countdown_default .sc_countdown_digits span {
                color: {$colors['text_hover']};
                background: {$colors['bg_color_0']};
            }
            .sc_skills .sc_skills_item_title {
                color: {$colors['text']};
            }
            .sc_skills_counter .sc_skills_icon {
                color: {$colors['text_link']};
                background: {$colors['alter_bg_color']};
            }
            
            /* Audio */
            .trx_addons_audio_player.without_cover,
            .format-audio .post_featured.without_thumb .post_audio {
                background: {$colors['inverse_hover']} !important;
            }
            .format-audio .post_featured.without_thumb .mejs-controls,
            .trx_addons_audio_player.without_cover .mejs-controls {
                background: {$colors['inverse_hover']};
            }
            .format-audio .post_featured.without_thumb .mejs-container,
            .trx_addons_audio_player.without_cover .mejs-container {
                background: {$colors['inverse_hover']};
            }
            
            .format-audio .post_featured.without_thumb .post_audio_author,
            .trx_addons_audio_player.without_cover .audio_author,
            .format-audio .post_featured.without_thumb .mejs-controls .mejs-time,
            .trx_addons_audio_player.without_cover .mejs-time {
                color: {$colors['text']};
            }
            
            .trx_addons_audio_player.without_cover,
            .format-audio .post_featured.without_thumb .post_audio {
                background-color: {$colors['alter_bg_color']};
                border-color: {$colors['alter_bg_color']};
            }
            .mejs-controls .mejs-button > button {
                background: {$colors['inverse_link']} !important;
                color: {$colors['inverse_hover']}!important;
            }
            .mejs-controls .mejs-button > button:before {
                background: {$colors['bg_color_0']} !important;
            }
            .mejs-controls .mejs-button > button:hover {
                background: {$colors['alter_bg_hover']} !important;
                color: {$colors['alter_hover']}!important;
            }
            .mejs-controls .mejs-time-rail .mejs-time-total,
            .mejs-controls .mejs-time-rail .mejs-time-loaded,
            .mejs-controls .mejs-volume-slider .mejs-volume-total,
            .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total {
                background: {$colors['inverse_link_02']};
            }
            .mejs-controls .mejs-time-rail .mejs-time-hovered,
            .mejs-controls .mejs-time-rail .mejs-time-current,
            .mejs-controls .mejs-volume-slider .mejs-volume-current,
            .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current {
                background: {$colors['inverse_link']};
            }
            .mejs-controls .mejs-time *,
            .trx_addons_audio_player.without_cover .audio_author,
            .format-audio .post_featured.without_thumb .post_audio_author,
            .trx_addons_audio_player.without_cover .audio_caption,
            .format-audio .post_featured.without_thumb .post_audio_title {
                color: {$colors['inverse_link']};
            }
            
            /* Video */
            .trx_addons_video_player.with_cover .video_hover,
            .format-video .post_featured.with_thumb .post_video_hover {
                color: {$colors['bg_color']};
                background-color: {$colors['bg_color_0']};
            }
            .trx_addons_video_player.with_cover .video_hover:hover,
            .format-video .post_featured.with_thumb .post_video_hover:hover {
                color: {$colors['bg_color']};
                background-color: {$colors['bg_color_0']};
            }
            
            
            /* Price */
            .sc_price_item {
                color: {$colors['text_dark']};
                background-color: {$colors['bg_color']};
                border-color: {$colors['extra_light']};
            }
            .sc_price_item:hover {
                color: {$colors['text_dark']};
                background-color: {$colors['bg_color']};
                border-color: {$colors['extra_light']};
            }
            .sc_price_item .sc_price_item_price,
            .price-top {
            }
            .sc_price_item:hover .sc_price_item_title,
            .sc_price_item .sc_price_item_title,
            .sc_price_item .sc_price_item_title a {
                color: {$colors['text_light']};
            }
            .sc_price_item:hover .sc_price_item_title a {
                color: {$colors['text_link']};
            }
            .sc_price_item .sc_price_item_price {
                color: {$colors['text_dark']};
            }
            .sc_price_item .sc_price_item_description{
                color: {$colors['text']};
            }
            .sc_price_item .sc_price_item_details {
                color: {$colors['text']};
            }
            .sc_price_item_price .sc_price_item_price_value {
                color: {$colors['text_dark']};
            }
            .sc_price_item_title:before {
                background-color: {$colors['alter_bd_color']};
            }
            
            
             /* Widget Searcch Dark */
            .scheme_self.sidebar .sidebar_inner .widget.widget_search{
                background: {$colors['text_dark']};
                color: {$colors['bg_color']};
            }
            .scheme_dark .scheme_self.sidebar .sidebar_inner .widget.widget_search{
                background: {$colors['bg_color']};
                color: {$colors['text_dark']};
            }
            .scheme_self.sidebar .sidebar_inner .widget.widget_search .widget_title{
                color: {$colors['bg_color']};
            }
            .sidebar[class*="scheme_"] .widget.widget_search form:after {
                color: {$colors['bg_color']};
            }
            .sidebar[class*="scheme_"] .widget.widget_search form:hover:after {
                color: {$colors['bg_color_07']};
            }
            .sidebar[class*="scheme_"] .widget.widget_search input[type="search"] {
                background-color: {$colors['bg_color_0']};
                color: {$colors['bg_color']};
                border-color: {$colors['bg_color_0']};
            }
            .sidebar[class*="scheme_"] .widget.widget_search input[type="search"]::-webkit-input-placeholder {
                color: {$colors['bg_color']};
            }
            .sidebar[class*="scheme_"] .widget.widget_search input[type="search"]::-moz-placeholder {
                color: {$colors['bg_color']};
            }
            .sc_testimonials_item_author_title {
                color: {$colors['text_light']};
            }
            .sc_testimonials_item {
                background-color: {$colors['alter_bg_color']};
            }
            .socials_share .socials_caption,
            .post_counters_item .post_counters_number, 
            .comment_counters .comment_counters_number {
                color: {$colors['text_dark']};
            }
            .post_layout_excerpt.sticky {
                background-color: {$colors['text_dark']};
                color: {$colors['bg_color']};
            }
            .post_layout_excerpt.sticky .post_counters_item .post_counters_number, 
            .post_layout_excerpt.sticky .comment_counters .comment_counters_number,
            .post_layout_excerpt.sticky.post_item .label_sticky,
            .post_layout_excerpt.sticky.post_item .more-link,
            .post_layout_excerpt.sticky .post_title a,
            .post_layout_excerpt.sticky .post_meta_item.post_categories a {
                color: {$colors['bg_color']};
            }
            .post_layout_excerpt.sticky.post_item .more-link:before {
                background-color: {$colors['bg_color']};
            }
            .post_layout_excerpt.sticky.post_item .more-link:hover:before {
                background-color: {$colors['text_light']};
            }
            .post_layout_excerpt.sticky.post_item .more-link:hover,
            .post_layout_excerpt.sticky .post_title a:hover,
            .post_layout_excerpt.sticky .post_meta_item.post_categories a:hover {
                color: {$colors['bg_color_07']};
            }
            .post_layout_excerpt.sticky .post_meta_item a {
                color: {$colors['text_light']};
            }
            .post_layout_excerpt.sticky a.post_meta_item:hover,
            .post_layout_excerpt.sticky .post_meta_item a:hover {
                color: {$colors['bg_color']};
            }
            .related_wrap .column-1_1 + .column-1_1 article{
                border-color: {$colors['bd_color']};
            }
            .comments_list_wrap .comment_reply a:before {
                background-color: {$colors['text_link']};
            }
            .sc_table.contacts table td strong{
                color: {$colors['text_dark']};
            }
            .sc_table.contacts table td a {
                color: {$colors['text']};
            }
            .sc_table.contacts table td a:hover {
                color: {$colors['text_link']};
            }
            .sc_events_full .sc_events_item,
            .sc_events_full .sc_events_item:hover {
                background-color: {$colors['bg_color_0']};
            }
            .sc_events_full .sc_events_content .sc_events_item + .sc_events_item {
                border-color: {$colors['bd_color']};
            }
            .single-tribe_events #tribe-events-content .tribe-events-event-meta dt {
                color: {$colors['text_dark']};
            }
            .sc_portfolio_default .sc_portfolio_item {
                background-color: {$colors['bg_color_0']} !important;
            }
            .sc_portfolio_default .sc_portfolio_item a {
                color: {$colors['text_link']} !important;
            }
            .sc_portfolio_default .sc_portfolio_item a:hover {
                color: {$colors['text_hover']} !important;
            }
            .sc_portfolio_simple .sc_portfolio_item a {
                color: {$colors['text_dark']} !important;
            }
            .sc_portfolio_simple .sc_portfolio_item a:hover {
                color: {$colors['text_dark_07']} !important;
            }
            .sc_action_item_default.with_image .sc_action_item_icon, .sc_action_item_default.with_image .sc_action_item_title {
                color: {$colors['text_dark']};
            }
            .sc_portfolio_default .portfolio-hover .portfolio-info {
                color: {$colors['inverse_link']};
            }
            .portfolio-details-value {
                color: {$colors['text_light']};
            }
            .sc_content.black_label:before {
                background-color: {$colors['inverse_hover']};
            }
            .sc_promo .sc_promo_content table td,
            .sc_promo .sc_promo_content {
                color: {$colors['text']};
            }
            .sc_promo .sc_promo_content strong {
                color: {$colors['text_dark']};
            }
            .sc_team_default .sc_team_item {
                background-color: {$colors['bg_color_0']};
            }
            .sc_team_default .sc_team_item_subtitle {
                color: {$colors['text']};
            }
            .body_wrap > .side_socials {
                background-color: {$colors['text_dark']};
            }
            .body_wrap > .side_socials a {
                color: {$colors['text_light']};
            }
            .body_wrap > .side_socials a:hover {
                color: {$colors['bg_color']};
            }
            .body_wrap > .side_link {
                background-color: {$colors['bg_color']};
            }
            body .custom.tparrows {
                background-color: {$colors['bg_color']} !important;
            }
            body .custom.tparrows:before {
                color: {$colors['text']} !important;
            }
            .sc_widget_slider .scheme_dark.vc_row table td strong {
                color: {$colors['bg_color']};
            }
            body .custom.tparrows:hover:before {
                color: {$colors['text_dark']} !important;
            }
            .sc_portfolio_short .sc_portfolio_item_info .portfolio-details-value{
                color: {$colors['text']};
            }
            .sc_portfolio_short .sc_portfolio_item_title a:before {
                background-color: {$colors['text_dark']};
            }
            .sc_blogger_item {
                background-color: {$colors['bg_color']};
            }
            .sc_blogger .sc_blogger_item .sc_blogger_item_title a{
                color: {$colors['text_link']};
            }
            .sc_blogger .sc_blogger_item .sc_blogger_item_title a:hover{
                color: {$colors['text_light']};
            }
            .sc_layouts_row .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image) {
                background-color: {$colors['text_link']};
                color: {$colors['bg_color']};
            }
            .sc_layouts_row .sc_button:not(.sc_button_simple):not(.sc_button_bordered):not(.sc_button_bg_image):hover {
                background-color: {$colors['text_hover']};
                color: {$colors['inverse_link']};
            }
            .splash .widget .widgettitle {
                color: {$colors['text_light']};
            }
            .sc_layouts_item_details_line2 {
                color: {$colors['text']};
            }



CSS;
		}

		return $css;
	}
}
?>