<?php
/* ThemeREX Updater support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'podium_trx_updater_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'podium_trx_updater_theme_setup9', 9 );
    function podium_trx_updater_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'podium_filter_tgmpa_required_plugins', 'podium_trx_updater_tgmpa_required_plugins', 8 );
        }
    }
}

// Filter to add in the required plugins list
// Priority 8 is used to add this plugin before all other plugins
if ( ! function_exists( 'podium_trx_updater_tgmpa_required_plugins' ) ) {
    function podium_trx_updater_tgmpa_required_plugins( $list = array() ) {
        if (podium_storage_isset('required_plugins', 'trx_updater')) {
            $path = podium_get_file_dir('plugins/trx_updater/trx_updater.zip');
            $list[] = array(
                'name' 		=> esc_html__('ThemeREX Updater', 'podium'),
                'slug' 		=> 'trx_updater',
                'version'   => '2.1.4',
                'source'	=> !empty($path) ? $path : 'upload://trx_updater.zip',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'podium_exists_trx_updater' ) ) {
    function podium_exists_trx_updater() {
        return defined( 'TRX_UPDATER_VERSION' );
    }
}
