<?php
/* WPBakery PageBuilder Extensions Bundle support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('podium_vc_extensions_theme_setup9')) {
	add_action( 'after_setup_theme', 'podium_vc_extensions_theme_setup9', 9 );
	function podium_vc_extensions_theme_setup9() {

		add_filter( 'podium_filter_merge_styles',						'podium_vc_extensions_merge_styles' );
	
		if (is_admin()) {
			add_filter( 'podium_filter_tgmpa_required_plugins',		'podium_vc_extensions_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'podium_vc_extensions_tgmpa_required_plugins' ) ) {
	
	function podium_vc_extensions_tgmpa_required_plugins($list=array()) {
		if (podium_storage_isset('required_plugins', 'vc-extensions-bundle')) {
			$path = podium_get_file_dir('plugins/vc-extensions-bundle/vc-extensions-bundle.zip');
			if (!empty($path) || podium_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> podium_storage_get_array('required_plugins', 'vc-extensions-bundle'),
					'slug' 		=> 'vc-extensions-bundle',
					'version'   => '3.6.7',
					'source'	=> !empty($path) ? $path : 'upload://vc-extensions-bundle.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if VC Extensions installed and activated
if ( !function_exists( 'podium_exists_vc_extensions' ) ) {
	function podium_exists_vc_extensions() {
		return class_exists('Vc_Manager') && class_exists('VC_Extensions_CQBundle');
	}
}
	
// Merge custom styles
if ( !function_exists( 'podium_vc_extensions_merge_styles' ) ) {
	
	function podium_vc_extensions_merge_styles($list) {
		if (podium_exists_vc()) {
			$list[] = 'plugins/vc-extensions-bundle/_vc-extensions-bundle.scss';
		}
		return $list;
	}
}
?>