<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */

if (podium_sidebar_present()) {
	ob_start();
	$podium_sidebar_name = podium_get_theme_option('sidebar_widgets');
	podium_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($podium_sidebar_name) ) {
		dynamic_sidebar($podium_sidebar_name);
	}
	$podium_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($podium_out)) {
		$podium_sidebar_position = podium_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($podium_sidebar_position); ?> widget_area<?php if (!podium_is_inherit(podium_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(podium_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'podium_action_before_sidebar' );
				podium_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $podium_out));
				do_action( 'podium_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>