<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0.1
 */
 
$podium_theme_obj = wp_get_theme();
?>
<div class="podium_admin_notice podium_welcome_notice update-nag"><?php
	// Theme image
	if ( ($podium_theme_img = podium_get_file_url('screenshot.jpg')) != '') {
		?><div class="podium_notice_image"><img src="<?php echo esc_url($podium_theme_img); ?>"></div><?php
	}

	// Title
	?><h3 class="podium_notice_title"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Welcome to %1$s v.%2$s', 'podium'),
				$podium_theme_obj->name . (PODIUM_THEME_FREE ? ' ' . esc_html__('Free', 'podium') : ''),
				$podium_theme_obj->version
				));
	?></h3><?php

	// Description
	?><div class="podium_notice_text"><?php
		echo str_replace('. ', '.<br>', wp_kses_data($podium_theme_obj->description));
		if (!podium_exists_trx_addons()) {
			echo (!empty($podium_theme_obj->description) ? '<br><br>' : '')
					. wp_kses_data(__('Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'podium'));
		}
	?></div><?php

	// Buttons
	?><div class="podium_notice_buttons"><?php
		// Link to the page 'About Theme'
		?><a href="<?php echo esc_url(admin_url().'themes.php?page=podium_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('About %s', 'podium'), $podium_theme_obj->name));
		?></a><?php
		// Link to the page 'Install plugins'
		if (podium_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'podium'); ?></a>
			<?php
		}
		// Link to the 'One-click demo import'
		if (function_exists('podium_exists_trx_addons') && podium_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Data', 'podium'); ?></a>
			<?php
		}
		// Link to the Customizer
		?><a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'podium'); ?></a><?php
		// Link to the Theme Options
		if (!PODIUM_THEME_FREE) {
			?><span> <?php esc_html_e('or', 'podium'); ?> </span>
        	<a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'podium'); ?></a><?php
        }
        // Dismiss this notice
        ?><a href="#" class="podium_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="podium_hide_notice_text"><?php esc_html_e('Dismiss', 'podium'); ?></span></a>
	</div>
</div>