<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0.1
 */
 
$podium_theme_obj = wp_get_theme();

?>
<div class="podium_admin_notice podium_rate_notice update-nag"><?php
	// Theme image
	if ( ($podium_theme_img = podium_get_file_url('screenshot.jpg')) != '') {
		?><div class="podium_notice_image"><img src="<?php echo esc_url($podium_theme_img); ?>"></div><?php
	}

	// Title
	?><h3 class="podium_notice_title"><a href="<?php echo esc_url(podium_storage_get('theme_download_url')); ?>" target="_blank"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Rate our theme "%s", please', 'podium'),
				$podium_theme_obj->name . (PODIUM_THEME_FREE ? ' ' . __('Free', 'podium') : '')
				));
	?></a></h3><?php
	
	// Description
	?><div class="podium_notice_text">
		<p><?php echo wp_kses_data(__('We are glad you chose our WP theme for your website. You’ve done well customizing your website and we hope that you’ve enjoyed working with our theme.', 'podium')); ?></p>
		<p><?php echo wp_kses_data(__('It would be just awesome if you spend just a minute of your time to rate our theme or the customer service you’ve received from us.', 'podium')); ?></p>
		<p class="podium_notice_text_info"><?php echo wp_kses_data(__('* We love receiving your reviews! Every time you leave a review, our CEO Henry Rise gives $5 to homeless dog shelter! Save the planet with us!', 'podium')); ?></p>
	</div><?php

	// Buttons
	?><div class="podium_notice_buttons"><?php
		// Link to the theme download page
		?><a href="<?php echo esc_url(podium_storage_get('theme_download_url')); ?>" class="button button-primary" target="_blank"><i class="dashicons dashicons-star-filled"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('Rate theme %s', 'podium'), $podium_theme_obj->name));
		?></a><?php
		// Link to the theme support
		?><a href="<?php echo esc_url(podium_storage_get('theme_support_url')); ?>" class="button" target="_blank"><i class="dashicons dashicons-sos"></i> <?php
			esc_html_e('Support', 'podium');
		?></a><?php
		// Link to the theme documentation
		?><a href="<?php echo esc_url(podium_storage_get('theme_doc_url')); ?>" class="button" target="_blank"><i class="dashicons dashicons-book"></i> <?php
			esc_html_e('Documentation', 'podium');
		?></a><?php
		// Dismiss
		?><a href="#" class="podium_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="podium_hide_notice_text"><?php esc_html_e('Dismiss', 'podium'); ?></span></a>
	</div>
</div>