<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0.10
 */

$podium_footer_id = str_replace('footer-custom-', '', podium_get_theme_option("footer_style"));
if ((int) $podium_footer_id == 0) {
	$podium_footer_id = podium_get_post_id(array(
												'name' => $podium_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$podium_footer_id = apply_filters('podium_filter_get_translated_layout', $podium_footer_id);
}
$podium_footer_meta = get_post_meta($podium_footer_id, 'trx_addons_options', true);
if (!empty($podium_footer_meta['margin']) != '') 
	podium_add_inline_css(sprintf('.page_content_wrap{padding-bottom:%s}', esc_attr(podium_prepare_css_value($podium_footer_meta['margin']))));
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($podium_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($podium_footer_id))); 
						if (!podium_is_inherit(podium_get_theme_option('footer_scheme')))
							echo ' scheme_' . esc_attr(podium_get_theme_option('footer_scheme'));
						?>">
	<?php
    // Custom footer's layout
    do_action('podium_action_show_layout', $podium_footer_id);
	?>
</footer><!-- /.footer_wrap -->
