<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0.10
 */

// Logo
if (podium_is_on(podium_get_theme_option('logo_in_footer'))) {
	$podium_logo_image = podium_get_logo_image('footer');
	$podium_logo_text  = get_bloginfo( 'name' );
	if (!empty($podium_logo_image) || !empty($podium_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($podium_logo_image)) {
					$podium_attr = podium_getimagesize($podium_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($podium_logo_image).'" class="logo_footer_image" '.(!empty($podium_attr[3]) ? ' ' . wp_kses_data($podium_attr[3]) : '').'></a>' ;
				} else if (!empty($podium_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($podium_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>