<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0.10
 */

// Footer sidebar
$podium_footer_name = podium_get_theme_option('footer_widgets');
$podium_footer_present = !podium_is_off($podium_footer_name) && is_active_sidebar($podium_footer_name);
if ($podium_footer_present) { 
	podium_storage_set('current_sidebar', 'footer');
	$podium_footer_wide = podium_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($podium_footer_name) ) {
		dynamic_sidebar($podium_footer_name);
	}
	$podium_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($podium_out)) {
		$podium_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $podium_out);
		$podium_need_columns = true;
		if ($podium_need_columns) {
			$podium_columns = max(0, (int) podium_get_theme_option('footer_columns'));
			if ($podium_columns == 0) $podium_columns = min(4, max(1, substr_count($podium_out, '<aside ')));
			if ($podium_columns > 1)
				$podium_out = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($podium_columns).' widget', $podium_out);
			else
				$podium_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($podium_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$podium_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($podium_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'podium_action_before_sidebar' );
				podium_show_layout($podium_out);
				do_action( 'podium_action_after_sidebar' );
				if ($podium_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$podium_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>