<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0.06
 */

$podium_header_css = '';
$podium_header_image = get_header_image();
$podium_header_video = podium_get_header_video();
if (!empty($podium_header_image) && podium_trx_addons_featured_image_override(is_singular() || podium_storage_isset('blog_archive') || is_category())) {
	$podium_header_image = podium_get_current_mode_image($podium_header_image);
}

$podium_header_id = str_replace('header-custom-', '', podium_get_theme_option("header_style"));
if ((int) $podium_header_id == 0) {
	$podium_header_id = podium_get_post_id(array(
												'name' => $podium_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$podium_header_id = apply_filters('podium_filter_get_translated_layout', $podium_header_id);
}
$podium_header_meta = get_post_meta($podium_header_id, 'trx_addons_options', true);
if (!empty($podium_header_meta['margin']) != '') 
	podium_add_inline_css(sprintf('.page_content_wrap{padding-top:%s}', esc_attr(podium_prepare_css_value($podium_header_meta['margin']))));

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($podium_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($podium_header_id)));
				echo !empty($podium_header_image) || !empty($podium_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($podium_header_video!='') 
					echo ' with_bg_video';
				if ($podium_header_image!='') 
					echo ' '.esc_attr(podium_add_inline_css_class('background-image: url('.esc_url($podium_header_image).');'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (podium_is_on(podium_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight podium-full-height';
				if (!podium_is_inherit(podium_get_theme_option('header_scheme')))
					echo ' scheme_' . esc_attr(podium_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($podium_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('podium_action_show_layout', $podium_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>