<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */

$podium_header_css = '';
$podium_header_image = get_header_image();
$podium_header_video = podium_get_header_video();
if (!empty($podium_header_image) && podium_trx_addons_featured_image_override(is_singular() || podium_storage_isset('blog_archive') || is_category())) {
	$podium_header_image = podium_get_current_mode_image($podium_header_image);
}

?><header class="top_panel top_panel_default<?php
					echo !empty($podium_header_image) || !empty($podium_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($podium_header_video!='') echo ' with_bg_video';
					if ($podium_header_image!='') echo ' '.esc_attr(podium_add_inline_css_class('background-image: url('.esc_url($podium_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (podium_is_on(podium_get_theme_option('header_fullheight'))) echo ' header_fullheight podium-full-height';
					if (!podium_is_inherit(podium_get_theme_option('header_scheme')))
						echo ' scheme_' . esc_attr(podium_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($podium_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (podium_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Mobile header
	if (podium_is_on(podium_get_theme_option("header_mobile_enabled"))) {
		get_template_part( 'templates/header-mobile' );
	}
	
	// Page title and breadcrumbs area
	if (!is_home()) {
        get_template_part( 'templates/header-title');
    }

	// Header widgets area
	get_template_part( 'templates/header-widgets' );

	// Display featured image in the header on the single posts
	// Comment next line to prevent show featured image in the header area
	// and display it in the post's content
	get_template_part( 'templates/header-single' );

?></header>