<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */

$podium_args = get_query_var('podium_logo_args');

// Site logo
$podium_logo_type   = isset($podium_args['type']) ? $podium_args['type'] : '';
$podium_logo_image  = podium_get_logo_image($podium_logo_type);
$podium_logo_text   = podium_is_on(podium_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$podium_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($podium_logo_image) || !empty($podium_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($podium_logo_image)) {
			if (empty($podium_logo_type) && function_exists('the_custom_logo') && is_numeric( $podium_logo_image ) && (int) $podium_logo_image > 0) {
				the_custom_logo();
			} else {
				$podium_attr = podium_getimagesize($podium_logo_image);
				echo '<img src="'.esc_url($podium_logo_image).'" alt="'.esc_attr($podium_logo_text).'"'.(!empty($podium_attr[3]) ? ' '.wp_kses_data($podium_attr[3]) : '').'>';
			}
		} else {
			podium_show_layout(podium_prepare_macros($podium_logo_text), '<span class="logo_text">', '</span>');
			podium_show_layout(podium_prepare_macros($podium_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>