<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(podium_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'narrow'); ?> scheme_dark">
	<div class="menu_mobile_inner">
        <span class="label-close"><?php echo esc_html__('Close','podium');?></span>
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('podium_logo_args', array('type' => 'mobile'));
		get_template_part( 'templates/header-logo' );
		set_query_var('podium_logo_args', array());

		// Mobile menu
		$podium_menu_mobile = podium_get_nav_menu('menu_mobile');
		if (empty($podium_menu_mobile)) {
			$podium_menu_mobile = apply_filters('podium_filter_get_mobile_menu', '');
			if (empty($podium_menu_mobile)) $podium_menu_mobile = podium_get_nav_menu('menu_main');
			if (empty($podium_menu_mobile)) $podium_menu_mobile = podium_get_nav_menu();
		}
		if (!empty($podium_menu_mobile)) {
			if (!empty($podium_menu_mobile))
				$podium_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$podium_menu_mobile
					);
			if (strpos($podium_menu_mobile, '<nav ')===false)
				$podium_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $podium_menu_mobile);
			podium_show_layout(apply_filters('podium_filter_menu_mobile_layout', $podium_menu_mobile));
		}

		?>
	</div>
</div>
