<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */

// Page (category, tag, archive, author) title

if ( podium_need_page_title() ) {
	podium_sc_layouts_showed('title', true);
	podium_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$podium_blog_title = podium_get_blog_title();
							$podium_blog_title_text = $podium_blog_title_class = $podium_blog_title_link = $podium_blog_title_link_text = '';
							if (is_array($podium_blog_title)) {
								$podium_blog_title_text = $podium_blog_title['text'];
								$podium_blog_title_class = !empty($podium_blog_title['class']) ? ' '.$podium_blog_title['class'] : '';
								$podium_blog_title_link = !empty($podium_blog_title['link']) ? $podium_blog_title['link'] : '';
								$podium_blog_title_link_text = !empty($podium_blog_title['link_text']) ? $podium_blog_title['link_text'] : '';
							} else
								$podium_blog_title_text = $podium_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($podium_blog_title_class); ?>"><?php
								$podium_top_icon = podium_get_category_icon();
								if (!empty($podium_top_icon)) {
									$podium_attr = podium_getimagesize($podium_top_icon);
									?><img src="<?php echo esc_url($podium_top_icon); ?>" <?php if (!empty($podium_attr[3])) podium_show_layout($podium_attr[3]);?>><?php
								}
								echo wp_kses_post($podium_blog_title_text);
							?></h1>
							<?php
							if (!empty($podium_blog_title_link) && !empty($podium_blog_title_link_text)) {
								?><a href="<?php echo esc_url($podium_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($podium_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'podium_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>