<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0.14
 */
$podium_header_video = podium_get_header_video();
$podium_embed_video = '';
if (!empty($podium_header_video) && !podium_is_from_uploads($podium_header_video)) {
	if (podium_is_youtube_url($podium_header_video) && preg_match('/[=\/]([^=\/]*)$/', $podium_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$podium_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($podium_header_video) . '[/embed]' ));
			$podium_embed_video = podium_make_video_autoplay($podium_embed_video);
		} else {
			$podium_header_video = str_replace('/watch?v=', '/embed/', $podium_header_video);
			$podium_header_video = podium_add_to_url($podium_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$podium_embed_video = '<iframe src="' . esc_url($podium_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php podium_show_layout($podium_embed_video); ?></div><?php
	}
}
?>