<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage PODIUM
 * @since PODIUM 1.0
 */

// Header sidebar
$podium_header_name = podium_get_theme_option('header_widgets');
$podium_header_present = !podium_is_off($podium_header_name) && is_active_sidebar($podium_header_name);
if ($podium_header_present) { 
	podium_storage_set('current_sidebar', 'header');
	$podium_header_wide = podium_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($podium_header_name) ) {
		dynamic_sidebar($podium_header_name);
	}
	$podium_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($podium_widgets_output)) {
		$podium_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $podium_widgets_output);
		$podium_need_columns = strpos($podium_widgets_output, 'columns_wrap')===false;
		if ($podium_need_columns) {
			$podium_columns = max(0, (int) podium_get_theme_option('header_columns'));
			if ($podium_columns == 0) $podium_columns = min(6, max(1, substr_count($podium_widgets_output, '<aside ')));
			if ($podium_columns > 1)
				$podium_widgets_output = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($podium_columns).' widget', $podium_widgets_output);
			else
				$podium_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($podium_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$podium_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($podium_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'podium_action_before_sidebar' );
				podium_show_layout($podium_widgets_output);
				do_action( 'podium_action_after_sidebar' );
				if ($podium_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$podium_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>