<?php
/**
 * The style "detailed" of the Events item
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */

$args = get_query_var('trx_addons_args_sc_events');

if ($args['slider']) {
	?><div class="slider-slide swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}

?><div class="sc_events_item"><?php

    // Event's date
    $date = tribe_get_start_date(null, true, 'F j, Y');
    if (empty($date)) $date = get_the_date('F j, Y');
    ?><div class="sc_events_item_date_wrap">
        <span class="sc_events_item_dates"><?php echo esc_html($date); ?></span>
        <span class="sc_events_item_address"><?php echo tribe_get_full_address(); ?></span>
    </div><?php

    if ( has_post_thumbnail()) {
        trx_addons_get_template_part('templates/tpl.featured.php',
            'trx_addons_args_featured',
            apply_filters('trx_addons_filter_args_featured', array(
                'class' => '',
                'hover' => 'zoomin',
                'no_links' => empty($link),
                'thumb_size' => apply_filters('trx_addons_filter_thumb_size', trx_addons_get_thumb_size($args['columns'] > 2 ? 'events' : 'events'), 'events'),
                'post_info' => ''
            ),
                'events'
            )
        );
    }

	// Event's title and content
	?><div class="sc_events_item_content_wrap">
    <span class="sc_events_item_title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></span>
    <a class="sc_button sc_button_default" href="<?php the_permalink(); ?>"><?php esc_html_e('More', 'podium'); ?></a>
    </div><?php
?></div><?php

if ($args['slider'] || (int)$args['columns'] > 1) {
	?></div><?php
}

?>