<?php
/**
 * The style "default" of the Portfolio
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.5
 */

$args = get_query_var('trx_addons_args_sc_portfolio');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
$link = !empty($meta['alter_link']) ? $meta['alter_link'] : get_permalink();

if (!empty($args['slider'])) {
	?><div class="slider-slide swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}
?>
<div class="sc_portfolio_item<?php
	if (isset($args['hide_excerpt']) && (int)$args['hide_excerpt'] > 0) echo ' without_content';
?>">
	<?php
	// Featured image or icon
	if ( has_post_thumbnail()) {
	    ?><div class="portfolio-hover"><?php
		trx_addons_get_template_part('templates/tpl.featured.php',
									'trx_addons_args_featured',
									apply_filters('trx_addons_filter_args_featured', array(
																'class' => 'sc_portfolio_item_thumb',
																'hover' => 'zoomin',
																'thumb_size' => apply_filters('trx_addons_filter_thumb_size', trx_addons_get_thumb_size($args['columns'] > 2 ? 'port' : 'port'), 'portfolio-default')
																),
																'portfolio-default'
													)
									);
        ?><div class="portfolio-info"><?php
        $override_options = trx_addons_override_options_get(get_post_type());
        foreach ($override_options as $k=>$v) {
            if (!empty($v['details']) && !empty($meta[$k])) {
                if($k != 'short') {
                    ?>
                    <div class="portfolio-details-<?php echo esc_attr($k); ?>"><span
                            class="portfolio-details-label"><?php echo esc_html($v['title']); ?>: </span><span
                            class="portfolio-details-value"><?php echo esc_html($meta[$k]); ?></span></div><?php
                }
            }
        }
        ?></div></div><?php
	}
	?>	
	<div class="sc_portfolio_item_info">
		<div class="sc_portfolio_item_header">
			<h6 class="sc_portfolio_item_title"><a href="<?php echo esc_url($link); ?>"><?php the_title(); ?></a></h6>
		</div><?php
	?></div>
</div><?php
if (!empty($args['slider']) || (int)$args['columns'] > 1) {
	?></div><?php
}
?>